Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDefaultCompiler

    java.lang.Object
      net.sf.jasperreports.engine.design.JRDefaultCompiler

All Implemented Interfaces:
  JRCompiler

Deprecated. Replaced by `JasperCompileManager`.

    public final class JRDefaultCompiler

extends java.lang.Object
implements JRCompiler

Version:
  $Id: JRDefaultCompiler.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.design.JRCompiler
`COMPILER_PREFIX`

Method Summary
`JasperReport` | `compileReport(JasperDesign jasperDesign)` Deprecated. Replaced by `JasperCompileManager.compileReport(JasperDesign)`.
`static JRDefaultCompiler` | `getInstance()` Deprecated.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport)` Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport)`.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport, JRCrosstab crosstab)` Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport, JRCrosstab)`.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport, JRDataset dataset)` Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport, JRDataset)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static JRDefaultCompiler getInstance()

  Deprecated.

### compileReport

    public JasperReport compileReport(JasperDesign jasperDesign)
                               throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReport(JasperDesign)`.

  Description copied from interface: `JRCompiler`
  Compiles a report design.

  The compilation consists of verification of the design, generation of expression evaluators and construction of a serializable read-only version of the report.

  A report compiler should usually extend `JRAbstractCompiler`.

  Specified by:
    `compileReport` in interface `JRCompiler`
  Parameters:
    `jasperDesign` - the report design
  Returns:
    the compiled report
  Throws:
    `JRException`

### loadEvaluator

    public JREvaluator loadEvaluator(JasperReport jasperReport,
                                     JRDataset dataset)
                              throws JRException

  Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport, JRDataset)`.

  Description copied from interface: `JRCompiler`
  Loads a expression evaluator class for a dataset of a report.

  Specified by:
    `loadEvaluator` in interface `JRCompiler`
  Parameters:
    `jasperReport` - the report
    `dataset` - the dataset
  Returns:
    an instance of the dataset evaluator class
  Throws:
    `JRException`

### loadEvaluator

    public JREvaluator loadEvaluator(JasperReport jasperReport,
                                     JRCrosstab crosstab)
                              throws JRException

  Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport, JRCrosstab)`.

  Description copied from interface: `JRCompiler`
  Loads a expression evaluator class for a crosstab of a report.

  Specified by:
    `loadEvaluator` in interface `JRCompiler`
  Parameters:
    `jasperReport` - the report
    `crosstab` - the crosstab
  Returns:
    an instance of the dataset evaluator class
  Throws:
    `JRException`

### loadEvaluator

    public JREvaluator loadEvaluator(JasperReport jasperReport)
                              throws JRException

  Deprecated. Replaced by `JasperCompileManager.loadEvaluator(JasperReport)`.

  Description copied from interface: `JRCompiler`
  Loads the evaluator for a report's main dataset.

  Specified by:
    `loadEvaluator` in interface `JRCompiler`
  Parameters:
    `jasperReport` - the report
  Returns:
    the evaluator for the report's main dataset
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com